Endpoints - Purge Content
Removes a content from Front Door.
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/frontDoors/{frontDoorName}/purge?api-version=2019-05-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
front
|
path | True |
|
Name of the Front Door which is globally unique. Regex pattern: |
|
resource
|
path | True |
|
Name of the Resource group within the Azure subscription. Regex pattern: |
|
subscription
|
path | True |
|
The subscription credentials which uniquely identify the Microsoft Azure subscription. The subscription ID forms part of the URI for every service call. |
|
api-version
|
query | True |
|
Client API version. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| contentPaths | True |
|
The path to the content to be purged. Can describe a file path or a wild card directory. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK. The request has succeeded. |
|
| 202 Accepted |
Accepted and the operation will complete asynchronously. |
|
| Other Status Codes |
Front Door error response describing why the operation failed. |
Security
azure_auth
Azure Active Directory OAuth2 Flow
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Purge content from Front Door
Sample Request
POST https://management.azure.com/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/frontDoors/frontDoor1/purge?api-version=2019-05-01
{
"contentPaths": [
"/pictures.aspx",
"/pictures/*"
]
}
Sample Response
Definitions
|
Error |
Error response indicates Front Door service is not able to process the incoming request. The reason is provided in the error message. |
|
Purge |
Parameters required for content purge. |
ErrorResponse
Error response indicates Front Door service is not able to process the incoming request. The reason is provided in the error message.
| Name | Type | Description |
|---|---|---|
| code |
|
Error code. |
| message |
|
Error message indicating why the operation failed. |
PurgeParameters
Parameters required for content purge.
| Name | Type | Description |
|---|---|---|
| contentPaths |
|
The path to the content to be purged. Can describe a file path or a wild card directory. |